Bug 2034389 (CVE-2021-30890) - CVE-2021-30890 webkitgtk: Logic issue leading to universal cross-site scripting
Summary: CVE-2021-30890 webkitgtk: Logic issue leading to universal cross-site scripting
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-30890
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2034390 2036624 2036625
Blocks: 2034394
TreeView+ depends on / blocked
 
Reported: 2021-12-20 19:25 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-05-17 09:44 UTC (History)
4 users (show)

Fixed In Version: webkitgtk 2.34.3
Doc Type: If docs needed, set a value
Doc Text:
A logic issue was found in WebKitGTK. Specially crafted web content could use this flaw to trigger a universal cross-site scripting when processed.
Clone Of:
Environment:
Last Closed: 2022-05-10 21:46:25 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:1777 0 None None None 2022-05-10 13:23:29 UTC

Description Guilherme de Almeida Suckevicz 2021-12-20 19:25:06 UTC
A flaw was found in WebKitGTK. A logic issue was addressed with improved state management.

References:
https://webkitgtk.org/security/WSA-2021-0007.html
https://www.openwall.com/lists/oss-security/2021/12/20/6

Comment 1 Guilherme de Almeida Suckevicz 2021-12-20 19:25:28 UTC
Created webkit2gtk3 tracking bugs for this issue:

Affects: fedora-all [bug 2034390]

Comment 3 errata-xmlrpc 2022-05-10 13:23:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1777 https://access.redhat.com/errata/RHSA-2022:1777

Comment 4 Product Security DevOps Team 2022-05-10 21:46:23 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-30890


Note You need to log in before you can comment on or make changes to this bug.